﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */

@media (min-width: 1200px) {
    .container {
        max-width: 1700px;
    }
}

a.navbar-brand {
  white-space: normal;
  text-align: center;
  word-break: break-all;
}

/* Provide sufficient contrast against white background */
a {
  color: #0366d6;
}

.btn-primary {
  color: #fff;
  background-color: #1b6ec2;
  border-color: #1861ac;
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
  color: #fff;
  background-color: #1b6ec2;
  border-color: #1861ac;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
  font-size: 14px;
}
@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

.border-top {
  border-top: 1px solid #e5e5e5;
}
.border-bottom {
  border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
  box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
  font-size: 1rem;
  line-height: inherit;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
  position: relative;
  min-height: 100%;
}

body {
  /* Margin bottom by footer height */
  margin-bottom: 60px;
}
.footer {
  position: absolute;
  bottom: 0;
  width: 100%;
  white-space: nowrap;
  line-height: 60px; /* Vertically center the text there */
}

#originAddress, #destinationAddress {
    text-align: center;
}

#mapContainer {
    height: 600px;
}

#map {
    float: left;
    width: 70%;
    height: 100%
}

#directionsPanel {
    float: right;
    width: 30%;
    height: 70%;
    overflow-y: auto;
}

#modeDeplacement {
    float: right;
    width: 30%;
    height: 30%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

#modeDeplacement img {
    flex: 0.8;
    flex-grow: 0.2;
    margin: 3%;
}

#modeTransport {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-evenly;
}

#typeEfficiency {
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    width: 100%;
}

#itineraire_container {
    margin-bottom: 1%;
}

.itineraire_capture {
    display: flex;
    flex-direction: column;
}

.itineraire_part {
    display: flex;
    flex: 1;
    margin-bottom: 1%;
}

.itineraire_part span {
    flex: 0.2;
    font-size: 1.2rem;
}

.itineraire_part input {
    flex: 0.8;
    padding: 0.5%;
}

.itineraire_part button {
    flex: 1;
    padding: 1%;
    font-size: 1.2rem;
}

.image_container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}